.select-container {
    width: 185px;
    position: relative;
    text-align: left;
    display: inline-block;
    margin-right: 16px;
}

.select-container ul {
    display: none;
    box-shadow: rgba(0, 0, 0, 0.12) 0 0 12px;
    background-color: #ffffff;
    padding: 0;
    list-style: none;
    position: absolute;
    width: 100%;
    top: 50px;
    z-index: 100;
}

.select-container ul li {
    padding: 16px 24px;
    border-bottom: 1px solid #eee;
}

.select-container ul li:last-of-type {

    border-bottom: none;
}

.select-container ul li:hover {

    background-color: rgba(0, 97, 60, 1);
    color: #ffffff;
    cursor: pointer;
}

ul.show {
    display: block;
}

.selected-val {
    padding: 8px 16px;
    border: 2px solid #00613C;
    position: relative;
    color: #00613C;
    cursor: pointer;
    text-transform: capitalize;
}

.selected-val::after {
    content: '';
    background-image: url('../images/down-arrow-green.png');
    width: 10px;
    height: 10px;
    display: block;
    background-size: contain;
    position: absolute;
    right: 16px;
    top: 16px;
}

.select-container.mobile {
    display: none;
}

.select-container.mobile .selected-val {
    border: none;
    padding: 8px 12px;
    font-size: 16px;
    font-weight: 500;
    color: #151515;
}

.select-container.mobile .selected-val::after {
    background-image: url('../images/down-arrow.png');
    position: static;
    display: inline-block;
    vertical-align: middle;
    margin-left: 10px;
}

.select-container.mobile ul {
    display: none;
    height: 100vh;
    width: 100vw;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    position: fixed;
    top: 0;
    padding: 10%;
    background: #eeeeeede;
}

.select-container.mobile ul.show {
    display: flex !important;
}

.select-container.mobile ul li {
    background-color: #ffffff;
    border: none;
}

.select-container.mobile ul li:hover {
    color: #00613C;
}

.select-container.mobile ul li::before {
    content: '⬤';
    display: inline-block;
    width: 24px;
    height: 24px;
    text-align: center;
    border: 2px solid #444;
    color: #ffffff;
    border-radius: 50%;
    margin-right: 10px;
    font-size: 12px;
    vertical-align: middle;
    text-align: center;
}

.select-container.mobile ul li:hover::before {
    border-color: #00613C;
    color: #00613C;

}


@media screen and (max-width: 768px) {
    .select-container.desktop {
        display: none;
    }

    .select-container.mobile {
        display: block;
    }
}

#locale-loading-container {
    height: 100vh;
    width: 100vw;
    background: #ffffff;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10000;
    display: flex;
    justify-content: center;
    align-items: center;
}

#locale-loading-container .loading-spinner {
    border: 2px solid #f3f3f3;
    border-top: 2px solid #00613C;
    border-radius: 50%;
    width: 120px;
    height: 120px;
    -webkit-animation: spin 2s linear infinite;
    /* Safari */
    animation: spin 2s linear infinite;
}

.loading-spinner-wrapper {
    height: 110px;
    width: 110px;
    position: relative;

}

.loading-icon {
    position: absolute;
    top: 10px;
    left: 15px;
    height: 90px;
    width: 90px;
}

/* Safari */
@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}